package com.ruoyi.system1.domain;

import java.math.BigDecimal;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 订单优惠券对象 order_coupon
 * 
 * @author ruoyi
 * @date 2025-05-06
 */
public class OrderCoupon extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 订单id */
    @Excel(name = "订单id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long orderId;

    /** 课程id */
    @Excel(name = "优惠券的id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long couponId;

    /** 优惠券 */
    @Excel(name = "优惠券金额")
    private BigDecimal discountAmount;

    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }

    public void setCouponId(Long couponId) 
    {
        this.couponId = couponId;
    }

    public Long getCouponId() 
    {
        return couponId;
    }

    public void setDiscountAmount(BigDecimal discountAmount) 
    {
        this.discountAmount = discountAmount;
    }

    public BigDecimal getDiscountAmount() 
    {
        return discountAmount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("orderId", getOrderId())
            .append("couponId", getCouponId())
            .append("discountAmount", getDiscountAmount())
            .toString();
    }
}
