package com.ruoyi.system1.domain;

import java.math.BigDecimal;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 订单项对象 order_item
 * 
 * @author ruoyi
 * @date 2025-05-06
 */
public class OrderItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @Excel(name = "订单项id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /** 订单id
 */
    @Excel(name = "订单id ")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long orderId;

    /** 课程id */
    @Excel(name = "课程id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long courseId;

    /** 价格 */
    @Excel(name = "价格")
    private BigDecimal price;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }

    public void setCourseId(Long courseId) 
    {
        this.courseId = courseId;
    }

    public Long getCourseId() 
    {
        return courseId;
    }

    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orderId", getOrderId())
            .append("courseId", getCourseId())
            .append("price", getPrice())
            .toString();
    }
}
