package com.ruoyi.system1.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 店铺管理员对象 shop_admin
 * 
 * @author ruoyi
 * @date 2025-05-08
 */
public class ShopAdmin extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 店铺ID */
    @Excel(name = "店铺ID")
    private Long shopId;

    /** 用户Id */
    @Excel(name = "用户Id")
    private Long userId;

    public void setShopId(Long shopId) 
    {
        this.shopId = shopId;
    }

    public Long getShopId() 
    {
        return shopId;
    }

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("shopId", getShopId())
            .append("userId", getUserId())
            .toString();
    }
}
