import request from '@/utils/request'

// 查询订单列表
export function listOrder1(query) {
  return request({
    url: '/system1/order1/list',
    method: 'get',
    params: query
  })
}

// 查询订单详细
export function getOrder1(id) {
  return request({
    url: '/system1/order1/' + id,
    method: 'get'
  })
}

// 新增订单
export function addOrder1(data) {
  return request({
    url: '/system1/order1',
    method: 'post',
    data: data
  })
}

// 修改订单
export function updateOrder1(data) {
  return request({
    url: '/system1/order1',
    method: 'put',
    data: data
  })
}

// 删除订单
export function delOrder1(id) {
  return request({
    url: '/system1/order1/' + id,
    method: 'delete'
  })
}
